%define name	icewm
%define version	1.0.7
%define theirversion 7
%define prefix	/usr/X11R6
%define release 4mdk

Name:		%{name}
Summary:	X11 Window Manager
Version:	%{version}
Release:	%{release}
Copyright:	LGPL
Group:		Graphical desktop/Icewm

Source:		http://download.sourceforge.net/icewm/icewm-%{version}-%{theirversion}.tar.bz2
Source1:	mandrake.xpm.bz2
Source2:	themes.tar.bz2
Source3:	icewm.menu
Source4:	icewm.menu-method
Source5:	%{name}-16.xpm.bz2
Source6:	%{name}-32.xpm.bz2
Source7:	%{name}-48.xpm.bz2
Source8:	icewm-starticewm

Patch0:		icewm-%{version}-mdkconf.patch.bz2
Patch1:		icewm.transient-windows.patch.bz2
Patch2:		icewm.tooltips-show-forever.patch.bz2
Patch3:		icewm.env-var-in-menu-prog-line.patch.bz2
Patch4:		icewm.non-latin-fonts.patch.bz2
Patch5:		icewm.better-ppp-status.patch.bz2
#Patch6:		icewm.isdn.patch.bz2	
Patch7:		icewm.logout.patch.bz2
#Patch8:		icewm-1.0.4-cpp-include.patch.bz2
Patch9:		icewm-%{version}-%{theirversion}.time.patch.bz2
# By CLE
Patch10:	icewm-%{version}-CLE.patch.bz2
Patch11:	icewm-%{version}-xcin_bindy.patch.bz2
Patch12:	icewm-%{version}-includes.patch.bz2
URL:		http://icewm.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	mandrake_desk >= 7.1-1mdk, %{name}-light >= %{version}

%description
Window Manager for X Window System. Can emulate the look of Windows'95, OS/2
Warp 3,4, Motif or the Java Metal GUI. Tries to take the best features of the
above systems. Features multiple workspaces, opaque move/resize, task bar,
window list, mailbox status, digital clock. Fast and small.

%package light
Summary:	A light version of Icewm
Group:		Graphical desktop/Icewm
PreReq:		menu >= 2.1.5-4mdk

%description light
Window Manager for X Window System. Can emulate the look of Windows'95, OS/2
Warp 3,4, Motif or the Java Metal GUI. Tries to take the best features of the
above systems. Features multiple workspaces, opaque move/resize, task bar,
window list, mailbox status, digital clock. Fast and small.

This is the light version with minimal features.

%prep

%setup -q

%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#%patch6 -p1
#%patch7 -p1
#%patch8 -p1
%patch9 -p1
%patch10 -p0
%patch11 -p1
%patch12 -p1

%build
bzcat %{SOURCE1} > lib/taskbar/mandrake.xpm
CXXFLAGS="$RPM_OPT_FLAGS" %configure --sysconfdir=/etc/X11 \
	 --disable-debug 
%make
mv src/icewm src/icewm-light

make distclean
CXXFLAGS="$RPM_OPT_FLAGS $(gtk-config --cflags) $(glib-config --cflags)" \
%configure --sysconfdir=/etc/X11 --disable-debug \
	--enable-i18n --enable-nls --enable-guievents --with-icesound=oss,esd \
	--with-gnome-menus --with-imlib   
make
cp src/icewm src/icewm-gnome

%install
make install \
	BINDIR=$RPM_BUILD_ROOT%{prefix}/bin \
	LIBDIR=$RPM_BUILD_ROOT%{prefix}/lib/X11/icewm \
	ETCDIR=$RPM_BUILD_ROOT/etc/X11/icewm \
	DOCDIR=$RPM_BUILD_ROOT%{_datadir}/doc \
	CFGDIR=$RPM_BUILD_ROOT/etc/X11/X11 \
	LOCDIR=$RPM_BUILD_ROOT%{_datadir}/locale

rm -f $RPM_BUILD_ROOT%{prefix}/bin/icewm
install src/icewm-light $RPM_BUILD_ROOT%{prefix}/bin/
install src/icewm-gnome $RPM_BUILD_ROOT%{prefix}/bin/

rm -rf $RPM_BUILD_ROOT%{prefix}/lib/X11/icewm/themes
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/X11/icewm/
echo RPM_BUILD_DIR $RPM_BUILD_DIR
echo RPM_BUILD_DIR/name-version $RPM_BUILD_DIR/%{name}-%{version}
#cp -a $RPM_BUILD_DIR/%{name}-%{version}/lib/isdn $RPM_BUILD_ROOT%{prefix}/lib/X11/icewm/
bzcat %{SOURCE2}|tar x -C $RPM_BUILD_ROOT%{prefix}/lib/X11/icewm/
chmod -R a+rX $RPM_BUILD_ROOT%{prefix}/lib/X11/icewm

mkdir -p $RPM_BUILD_ROOT/etc/menu-methods $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_menudir}/icewm
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/etc/menu-methods/icewm

# icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE6} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE7} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

(cd $RPM_BUILD_ROOT%{prefix} ; find lib/X11/icewm/{icons,themes} ! -type d -printf "%{prefix}/%%p\n") > other.list
(cd $RPM_BUILD_ROOT%{prefix} ; find lib/X11/icewm/{icons,themes}   -type d -printf "%%%%dir %{prefix}/%%p\n") >> other.list
perl -ni -e "m,themes/microGUI|icons/(app_|xterm_), or print" other.list

# wmsession support
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmsession.d/
cat << EOF > $RPM_BUILD_ROOT/etc/X11/wmsession.d/07IceWM
NAME=IceWM
ICON=icewm-wmsession.xpm
EXEC=/usr/X11R6/bin/starticewm
DESC=Lightweight desktop environment
SCRIPT:
exec /usr/X11R6/bin/starticewm
EOF

install -m 755 %{SOURCE8} $RPM_BUILD_ROOT%{prefix}/bin/starticewm

#
# Auto detect the lang files.
#
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale
if [ -f %{_libdir}/rpm/find-lang.sh ] ; then
 %{_libdir}/rpm/find-lang.sh $RPM_BUILD_ROOT %{name}
fi 

perl -pi -e "s|^\s*$||" %{name}.lang

cat %{name}.lang >> other.list

%clean
rm -rf $RPM_BUILD_ROOT

%post light
update-alternatives --install %{prefix}/bin/icewm icewm %{prefix}/bin/icewm-light 10
%{make_session}
if [ -x %{_bindir}/update-menus ]; then %{_bindir}/update-menus; fi

%postun light
if [ "$1" = 0 ]; then
    if [ -x %{_bindir}/update-menus ]; then %{_bindir}/update-menus; fi
    update-alternatives --remove icewm %{prefix}/bin/icewm-light
fi
%{make_session}

%post
update-alternatives --install %{prefix}/bin/icewm icewm %{prefix}/bin/icewm-gnome 20
%{make_session}
if [ -x %{_bindir}/update-menus ]; then %{_bindir}/update-menus; fi

%{__ln_s} -f /usr/X11R6/lib/X11/icewm/taskbar/windows.xpm /usr/X11R6/lib/X11/icewm/themes/tile/taskbar/windows.xpm
%{__ln_s} -f /usr/X11R6/lib/X11/icewm/taskbar/linux.xpm /usr/X11R6/lib/X11/icewm/themes/tile/taskbar/linux.xpm

%postun
if [ "$1" = 0 ]; then
    if [ -x %{_bindir}/update-menus ]; then %{_bindir}/update-menus; fi
    update-alternatives --remove icewm %{prefix}/bin/icewm-gnome
fi
%{make_session}

%{__rm} -rf /usr/X11R6/lib/X11/icewm/themes/tile


%files -f other.list
%defattr(-,root,root)
%doc README COPYING CHANGES TODO BUGS icewm.lsm FAQ* doc/*.html doc/icewm.sgml
%{prefix}/bin/icewm-gnome
%{prefix}/bin/icewmbg
%{prefix}/bin/icewmhint
%{prefix}/bin/icesound
%{prefix}/lib/X11/icewm/ledclock


%files light
%defattr(-,root,root)
%dir %{prefix}/lib/X11/icewm/
%dir %{prefix}/lib/X11/icewm/themes
%dir %{prefix}/lib/X11/icewm/icons
%config(noreplace) /etc/menu-methods/icewm
%config(noreplace) /etc/X11/wmsession.d/*
#%dir /etc/X11/icewm
%{prefix}/bin/starticewm
%{prefix}/lib/X11/icewm/mailbox
%{prefix}/lib/X11/icewm/menu
%{prefix}/lib/X11/icewm/preferences
%{prefix}/lib/X11/icewm/taskbar
%{prefix}/lib/X11/icewm/toolbar
%{prefix}/lib/X11/icewm/keys
%{prefix}/lib/X11/icewm/winoptions
%{prefix}/lib/X11/icewm/icons/app*
%{prefix}/lib/X11/icewm/icons/xterm*
%{prefix}/lib/X11/icewm/themes/bluePlastic
#%{prefix}/lib/X11/icewm/isdn/*
%{prefix}/bin/icewm-light
%{_menudir}/icewm
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm


%changelog
* Thu Apr 11 2001 Florin <florin@mandrakesoft.com> 1.0.7-4mdk
- fix the update-alternatives (thx to Pixel)
- clean the uninstalling by adding directories in files 
- fix the rm line in post

* Thu Apr 11 2001 Florin <florin@mandrakesoft.com> 1.0.7-3mdk
- fix some postun typo bug (found my Chmouel - thanks, man)
- add the locale/*mo files


* Tue Mar 27 2001 Florin <florin@mandrakesoft.com> 1.0.7-2mdk
- 1.0.7-7
- added some configure options for the icewm package
- update-alternatives are now auto
- update all the patches
- add the includes patch

* Sun Mar 18 2001 Pixel <pixel@mandrakesoft.com> 1.0.6-4mdk
- don't enable-lite which gives a broken icewm-light

* Fri Mar  2 2001 Andrew Lee <andrew@linux.org.tw> 1.0.6-3mdk
- refine fontset
- add mozilla on toolbar
- fix bindkey conflict xcin
- Geoffrey Lee <snailtalk@mandrakesoft.com>
- Fix the build of icewm (Yuck).

* Mon Feb 19 2001 Florin Grad <florin@mandrakesoft.com> 1.0.6-2mdk
- the 1.0.6-4 release (go figure the way they give the source names)

* Fri Feb  2 2001 Etienne Faure  <etienne@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6
- fixed menu entry

* Mon Dec 18 2000 Florin Grad <florin@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5
- some compilation fixes: --enable-lite, --enable-guievents 

* Fri Oct 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-14mdk
- Fix compilation for gcc-2.96.

* Tue Oct 03 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-13mdk
- the isdn patch gives coredumps again

* Mon Oct 02 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-12mdk
- added the isdn patch (thanks to Mathias Hasselmann)
- added the logout patch (thanks again)

* Wed Sep 27 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-11mdk
- fix the theme

* Tue Sep 26 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-10mdk
- the isdn creates some conflicts so I take it away for the moment

* Tue Sep 26 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-9mdk
- added the isdn status patch
- modify the menu method for the default icon
- "new" lighter default theme

* Thu Sep 21 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-8mdk
- transparent icons
- added large icon
- fixed some dangling symlinks

* Tue Sep 19 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-7mdk
- modified the icewm-menu-method for the kde icons (locolor and hicolor ones) and added to iconPath
- added the window-transient patch
- added the tooltips-show-forever patch 
- added the non-latin(1)-(lang)fonts patch 
- added the better-ppp-status patch
- eth0 is now as default in src/default.h

* Wed Sep 6 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-6mdk
- replace rxvt with xterm in menus and shortcuts (priority package is higher)

* Tue Sep 5 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-5mdk
- adding some new themes and fix the terminal command in the task bar
- adding the alternatives method 
- adding a shortcut to rxvt Alt+Ctrl+t

* Mon Sep 4 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-4mdk
- replaced /usr/X11/bin/xsetroot with /usr/X11R6/bin/xsetroot

* Thu Aug 31 2000 David BAUDENS <baudens@mandrakesoft.com> 1.0.4-3mdk
- New wmsession support

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.4-2mdk
- BM
- more macros
- config(noreplace) the menu-method
- fixed %install section which was not working anymore

* Tue Jun 13 2000 Florin Grad <florin@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4
- comment the gnome-patch

* Tue May  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.3-11mdk
- added an xterm entry in toplevel menu.

* Sun May  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-10mdk
- default panel: rxvt -> xterm because xterm is always installed, not
  rxvt

* Sat Apr 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-9mdk
- added specific menu entries /IceWM/.. with help of Frederic Lepied

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 1.0.3-8mdk
- added fndSession call

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-7mdk
- re-fixed menu-method: now prints out the submenu icons
- added icons for the menu entry

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-6mdk
- fixed icons in menu-method: now takes the mini icon if present
  before trying to take the main icon

* Wed Apr 19 2000 dam's <damien@mandrakesoft.com> 1.0.3-5mdk
- Changed iceons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.0.3-4mdk
- Change taskbar icon.

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.3-3mdk
- Apply mdkconf patch.

* Fri Apr 07 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.3-2mdk
- remove the hardcoded gnome menu entry
- some minor fixes to spec (clean up , add -q to setup ...)

* Wed Apr  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Sun Apr  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-4mdk
- added support for menu i18n

* Wed Feb 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-3mdk
- added a prereq on menu.

* Mon Feb 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- added menu support.

* Sun Feb 20 2000 Pixel <pixel@mandrakesoft.com> 1.0.2-1mdk
- new version
- clean up (nice spec-helper :)

* Tue Jan 18 2000 Florin Grad <florin@mandrakesoft.com>
- 1.0.1
- obviously icewm is Y2K compliant ;)

* Thu Dec 30 1999 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-2mdk
- fix perms for /usr/X11R6/lib/X11/icewm/themes/IceGTK.

* Tue Dec 28 1999 Pixel <pixel@mandrakesoft.com>
- 1.0.0

* Tue Dec 21 1999 Florin Grad <florin@mandrakesoft.com>
- add the kde2ice python script
- with-gnome-menu
- remove the background picture
- update of the Mandrake icons
- modify the IconPath in default.c 

* Mon Dec 13 1999 Florin Grad <florin@mandrakesoft.com>
- add FAQ-french
- add rpmdrake in the Mandrake menu
- use a 1024x768 background image instead of a 800x600 one
- 0.9.54

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Split icewm in multiple package icewm-light and icewm-gnome(default).

* Fri Nov 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- DesktopBackgoundColor=1 by default.

* Wed Nov 17 1999 Florin Grad <florin@mandrakesoft.com>
- Add a new default background.
- A nice theme collection.
- New default theme.
- New associative icons.
- C-x C-t between xterm and rxvt in menu.

* Wed Nov 17 1999 Damien Krotkine <damien@mandrakesoft.com>
- 0.9.50

* Wed Aug 25 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.9.48

* Mon Aug 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.9.47
- Remove ShowNetStatus by default.

* Fri Aug 13 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 0.9.46
- hope the date (Friday 13th) doesn't affect the stability ;)

* Wed Aug 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 0.9.44
- fix compilation with gcc 2.95

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch to have a mandrake menus.

* Tue Jul 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description from Gregus <gregus@etudiant.net>

* Fri Jul 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reinserting the mandrake pixmaps.

* Tue Jul 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Patch to have by default a mandrake background.

* Wed Jul 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 0.9.43 :
        - fixes to configure
	- fixed some focusing problems
        - some new netscape icons added
        - fixes to shell command execution (no longer crashes on restart wm)
        - improvement in shaped windows handling
        - allow relative pathname in background image specification
        - made window stacking not interfere with DND icons
        - fix: minimize action in window list is no longer a toggle
        - detect both Alt_L and Alt_R keysf for Alt modifier.
        - configure event coalescing is now done to improve performance

* Tue May 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reinsertion of mandrake xpm.

* Sun May 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.9.41
- Recreated Chmouel's patches for 0.9.41

* Sat May 22 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 0.9.39, hoping to fix segfaults.
- disable debug

* Mon Apr 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- Build with Gnome Support
- Handle RPM_OPT_FLAGS.
- Add Mandrake Icons.
- Add patch to make Mandrake Icons by default.
- Add patch to have GTK theme by default instead of Win95 look (BEURK).


